
#include <ocarina/library.h>
#include <ocarina/body.h>
#include <ocarina/gtk.h>
#include <ocarina/songlist.h>

#include <libsaria/library.h>
#include <libsaria/track.h>
#include <libsaria/print.h>

#include <list>
using namespace std;

static SongList library_list;
void ocarina_library_refresh();
static void library_insert(Track &);

struct SongListFuncs library_funcs;

void library_init()
{
	library_funcs.for_each = libsaria::library::for_each;
	library_funcs.insert_track = library_insert;
	library_funcs.size = libsaria::library::size;

	library_list.init("Library", &library_funcs);
	add_page(library_list.get_label(), library_list.get_window(), true);
	ocarina_library_refresh();
}

static void library_insert(Track &track)
{
	library_list.insert(track);
}

void ocarina_library_refresh()
{
	library_list.clear();
	library_list.fill();
}
